Notes attached to tabs and orders
List notes for an entity
List all notes attached to a specific entity (tab or user). Notes are returned in sort order (lowest sortOrder first).
Permissions: 🔵 notes.read
query Parameters
entityTypeType of entity to fetch notes for
entityIdID of the entity (tab UUID or user ID)
List notes for an entity › Responses
Default Response
statusCreate a note
Create a new note attached to an entity (tab or user). The note will be associated with the current location and the authenticated user (if using JWT auth).
Permissions: 🟢 notes.create
Create a note › Request Body
entityTypeType of entity to attach the note to
entityIdID of the entity (tab UUID or user ID)
noteNote content
Create a note › Responses
Default Response
statusUpdate a note
Update an existing note. The updated_by fields will be set to the authenticated user.
Permissions: 🟠notes.update
path Parameters
uuidNote UUID
Update a note › Responses
Default Response
statusReorder notes
Reorder notes for an entity. Pass an array of note UUIDs in the desired order. Each note will have its sortOrder updated to match its position in the array.
Permissions: 🟠notes.update
query Parameters
entityTypeType of entity to fetch notes for
entityIdID of the entity (tab UUID or user ID)
Reorder notes › Request Body
noteUuidsArray of note UUIDs in the desired order
Reorder notes › Responses
Default Response
status